[speech,fs]=audioread('SA1.wav');
segment = speech(45001:45320);

len=length(segment);
%Take the cepstrum
ps=log(abs(fft(segment)));
cep=ifft(ps);
%Perform the filtering
cut=30;
cep2=zeros(1,len);
cep2(1:cut-1)=cep(1:cut-1)*2;
cep2(1)=cep(1);
cep2(cut)=cep(cut);
%Convert to frequency domain
env=real(fft(cep2));
act=real(fft(cep));
%Plot the result
pl1=20*log10(env(1:len/2));
pl2=20*log10(act(1:len/2));
span=[1:fs/len:fs/2];
plot(span,pl1,'k-.',span,pl2,'b');
xlabel('Frequency, Hz');
ylabel('Amplitude, dB');


%------------------------------------------------------

[speech,fs]=audioread('SA1.wav');
spec=spectrogram(speech,1024,1024-128,1024);

size(speech)
size(spec)

subplot(4,1,1)
plot(speech)
axis tight
subplot(4,1,2)
imagesc(flipud(10*log10(abs(spec))))
subplot(4,1,3)
contour(10*log10(abs(spec)),6)
subplot(4,1,4)
mesh(10*log10(abs(spec)))
axis tight % make plot completely fill the X-Y axes
view(40,80) % change viewpoint of 3D plot

